org.jboss.jca.as.converters.wls.api.metadata

## Enum ConnectionInstance.Tag

- java.lang.Object
- - java.lang.Enum<ConnectionInstance.Tag>
  - - org.jboss.jca.as.converters.wls.api.metadata.ConnectionInstance.Tag

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ConnectionInstance.Tag>
  Enclosing interface:
    ConnectionInstance

      public static enum ConnectionInstance.Tag
      extends java.lang.Enum<ConnectionInstance.Tag>

  A Tag.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CONNECTION_PROPERTIES` connection-properties tag
    `DESCRIPTION` description tag
    `JNDI_NAME` jndi-name tag
    `UNKNOWN` always first

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ConnectionInstance.Tag` | `forName(java.lang.String localName)` Static method to get enum instance given localName string
    `java.lang.String` | `getLocalName()` Get the local name of this element.
    `java.lang.String` | `toString()`
    `static ConnectionInstance.Tag` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ConnectionInstance.Tag[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNKNOWN

          public static final ConnectionInstance.Tag UNKNOWN

      always first

    - #### DESCRIPTION

          public static final ConnectionInstance.Tag DESCRIPTION

      description tag

    - #### JNDI_NAME

          public static final ConnectionInstance.Tag JNDI_NAME

      jndi-name tag

    - #### CONNECTION_PROPERTIES

          public static final ConnectionInstance.Tag CONNECTION_PROPERTIES

      connection-properties tag

  - ### Method Detail

    - #### values

          public static ConnectionInstance.Tag[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ConnectionInstance.Tag c : ConnectionInstance.Tag.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ConnectionInstance.Tag valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getLocalName

          public java.lang.String getLocalName()

      Get the local name of this element.
      Returns:
        the local name

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<ConnectionInstance.Tag>`

    - #### forName

          public static ConnectionInstance.Tag forName(java.lang.String localName)

      Static method to get enum instance given localName string
      Parameters:
        `localName` - a string used as localname (typically tag name as defined in xsd)
      Returns:
        the enum instance

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)